Quantcast

Jetty upgrade to 9 or 8 when dependency on Equinox

Next Topic
 
classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Jetty upgrade to 9 or 8 when dependency on Equinox

nitin
Hi,

I Hope I've requested to right audience for my query.

While doing the POC for upgrade from Jetty 6.x to Jetty 9.2.10, We have found that Jetty 9 upgrade is only possible with Equinox 4.5(Mars). But Equinox 4.5 is planned to be released on June 24, 2015. For more details, please refer section Compatibility Concerns in below mentioned link:
https://projects.eclipse.org/projects/rt.equinox/releases/4.5.0-mars/plan

Now what is contradicting is its support lifecycle which says: 2014 would be end of support for Jetty 7 & 8 versions. Here's the link: https://dev.eclipse.org/mhonarc/lists/jetty-announce/msg00069.html

So I would like to check if there would be support on 8.x version until Equinox releases 4.5? Or even after sometime post to Equinox 4.5 release? We can't upgrade to 9.x right now as we will have to wait for Equinox 4.5 release due to above mentioned comment.

Regards,
Nitin/
Loading...